package com.ozs.base.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ozs.base.domain.BaseAgency;
import com.ozs.base.domain.BaseExpert;
import com.ozs.base.domain.BaseUnitInformation;
import com.ozs.base.domain.vo.BaseExpertVo;
import com.ozs.common.core.domain.AjaxResult;

import java.util.List;

public interface BaseExpertService  extends IService<BaseExpert> {
    int insertExpert(BaseExpertVo baseExpertVo);

    int updateSupplierType(BaseExpert baseExpert);

    AjaxResult selectReviewProject(BaseExpertVo baseExpertVo);

    AjaxResult selectExtractionExpert(BaseExpertVo baseExpertVo);

    List<BaseUnitInformation> getBaseUnitInformationList();
}
